Bug 114982 - WavPack(wv) and The True Audio(tta) support
Summary: WavPack(wv) and The True Audio(tta) support
Status: RESOLVED FIXED
Alias: None
Product: taglib
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 62 votes (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-24 10:37 UTC by awok3nindech
Modified: 2007-11-10 23:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description awok3nindech 2005-10-24 10:37:03 UTC
Version:           1.4 (using KDE KDE 3.4.3)
Installed from:    Compiled From Sources

since amarok can use gstreamer, which now is getting support for wavpack and tta, it would be nice to be able to have it read their tags, along with any other app that uses taglib

for reference, wavpack uses apev2 tags, and tta uses id3v1 and id3v2
Comment 1 Stefan Briesenick 2006-03-03 15:40:08 UTC
I would like to have Speex support also. Since Speex is a Xiph.org codec, it uses Vorbis/XiphComments. IMHO Speex Audio is embedded in Ogg-Containers. So it should be straight forward.
Comment 2 Lukáš Lalinský 2006-06-05 23:45:09 UTC
Just adding links to my TagLib-based plugins for these three codecs/file formats. Maybe someone will find it useful:

http://svn.musicbrainz.org/libtunepimp/trunk/plugins/wv/
http://svn.musicbrainz.org/libtunepimp/trunk/plugins/tta/
http://svn.musicbrainz.org/libtunepimp/trunk/plugins/speex/
Comment 3 Lukáš Lalinský 2007-11-06 19:50:18 UTC
SVN commit 733568 by lalinsky:

WavPack support.

CCBUG:114982


 M  +3 -1      bindings/c/CMakeLists.txt  
 M  +1 -0      bindings/c/Makefile.am  
 M  +3 -0      bindings/c/tag_c.cpp  
 M  +2 -1      bindings/c/tag_c.h  
 M  +8 -0      taglib/CMakeLists.txt  
 M  +3 -2      taglib/Makefile.am  
 M  +4 -0      taglib/fileref.cpp  
 A             taglib/wavpack (directory)  
 A             taglib/wavpack/CMakeLists.txt  
 A             taglib/wavpack/Makefile.am  
 A             taglib/wavpack/wavpackfile.cpp   [License: LGPL (v2.1) (wrong address)]
 A             taglib/wavpack/wavpackfile.h   [License: LGPL (v2.1) (wrong address)]
 A             taglib/wavpack/wavpackproperties.cpp   [License: LGPL (v2.1) (wrong address)]
 A             taglib/wavpack/wavpackproperties.h   [License: LGPL (v2.1) (wrong address)]


WebSVN link: http://websvn.kde.org/?view=rev&revision=733568
Comment 4 Lukáš Lalinský 2007-11-10 23:55:21 UTC
SVN commit 735116 by lalinsky:

TrueAudio support.

This is last of the three formats implemented for libtunepimp, now used also by various players.

BUG:114982


 M  +1 -0      bindings/c/CMakeLists.txt  
 M  +1 -0      bindings/c/Makefile.am  
 M  +3 -0      bindings/c/tag_c.cpp  
 M  +2 -1      bindings/c/tag_c.h  
 M  +8 -1      taglib/CMakeLists.txt  
 M  +4 -2      taglib/Makefile.am  
 M  +5 -1      taglib/fileref.cpp  
 AM            taglib/trueaudio (directory)  
 A             taglib/trueaudio/CMakeLists.txt  
 A             taglib/trueaudio/Makefile.am  
 A             taglib/trueaudio/trueaudiofile.cpp   [License: LGPL (v2.1) (wrong address)]
 A             taglib/trueaudio/trueaudiofile.h   [License: LGPL (v2.1) (wrong address)]
 A             taglib/trueaudio/trueaudioproperties.cpp   [License: LGPL (v2.1) (wrong address)]
 A             taglib/trueaudio/trueaudioproperties.h   [License: LGPL (v2.1) (wrong address)]
 AM            tests/data/empty.tta  
 M  +6 -0      tests/test_fileref.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=735116